/api/v1/selphid/identify/enroll/{galleryId}/{templateId}
Enrolls in a gallery a facial template obtained from an image.
post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
galleryIdstringObrigatórioExample:
The name of a facial template gallery.
my.facial.gallerytemplateIdstringObrigatórioExample:
The name of a facial template in a gallery.
user-1678Corpo
A raw image, used for enrollment in a 1:N gallery.
imagestringObrigatórioExample:
Raw image buffer in .png, .jpg or .bmp format, base64-encoded.
/9j/4AAQSkZJRgABAQEAtAC0AAD...Respostas
200
Result of the enrollment.
application/json
The result of enrolling a template in a gallery.
galleryIndexintegerOpcionalExample:
The index of a facial template in a gallery.
3facialTemplatestringOpcionalExample:
Biometric template buffer, obtained through GetFacialTemplate(), base64-encoded.
BAEBGgEroySjGz2C9iIki35J/FA...sdkDurationnumberOpcionalExample:
Duration of the operation in milliseconds.
1234400
Incorrect parameters in the request.
application/json
500
An error occurred in the call to the SelphID-SDK backend.
application/json
post/api/v1/selphid/identify/enroll/{galleryId}/{templateId}
POST /api/v1/selphid/identify/enroll/{galleryId}/{templateId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 411
{
"image": "/9j/4AAQSkZJRgABAQEAtAC0AAD...",
"options": {
"longDetail": true,
"elapsedAllowedSeconds": 3600,
"futureAllowedSeconds": 3600,
"facialDetection": "Frontal",
"minFaceAbsPx": 35,
"minFaceRel": 0.04,
"minIodPx": 35,
"maxPoseDegrees": 30,
"minFacialQuality": "Good",
"analyticsDetection": true,
"templateRawExtraction": true,
"falseDetectRate": 0.02,
"maxCantidates": 5,
"minSimilarity": 0.7,
"authThreshold": 60,
"livenessDepth": "Full"
}
}{
"galleryIndex": 3,
"facialTemplate": "BAEBGgEroySjGz2C9iIki35J/FA...",
"sdkDuration": 1234
}Atualizado